<?php
/**
 * Displays side panel
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */
$sp_classes = apply_filters( 'decibel_side_panel_class', '' );
?>
<div class="side-panel <?php echo decibel_sanitize_html_classes( $sp_classes ) ?>">
	<div class="side-panel-inner">
		<?php
			/* Side Panel start hook */
			do_action( 'decibel_sidepanel_start' );
		
			get_sidebar( 'side-panel' );
		?>
	</div><!-- .side-panel-inner -->
</div><!-- .side-panel -->