<?php
/**
 * Displays offcanvas navigation type
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */
?>
<div class="lateral-menu-panel">
	<?php
		/**
		 * lateral_menu_panel_start hook
		 */
		do_action( 'decibel_lateral_menu_panel_start' );
	?>
	<div class="lateral-menu-panel-inner">
		<div class="logo-container">
			<?php
				/**
				 * Logo
				 */
				decibel_logo();
			?>
		</div><!-- .logo-container -->
		<nav class="menu-container" itemscope="itemscope"  itemtype="https://schema.org/SiteNavigationElement">
			<?php
				/**
				 * Menu
				 */
				decibel_primary_vertical_navigation();
			?>
		</nav>
		<?php if ( decibel_is_wvc_activated() )  : ?>
			<div class="lateral-menu-socials">
				<?php echo wvc_socials( array(
					'alignment' => 'left',
					//'size' => 'fa-1x',
					'services' => decibel_get_inherit_mod( 'menu_socials', 'facebook,twitter,instagram' ), ) ); ?>
			</div><!-- .lateral-menu-socials -->
		<?php endif; ?>
	</div><!-- .lateral-menu-panel-inner -->
</div><!-- .lateral-menu-panel -->