<?php
/**
 * Displays offcanvas navigation type
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */
?>
<div id="nav-bar" class="nav-bar">
	<div class="flex-wrap">
		<div class="logo-container">
			<?php
				/**
				 * Logo
				 */
				decibel_logo();
			?>
		</div><!-- .logo-container -->
		<div class="cta-container">
			<?php
				/**
				 * Secondary menu hook
				 */
				do_action( 'decibel_secondary_menu', 'desktop' );
			?>
		</div><!-- .cta-container -->
		<div class="hamburger-container">
			<?php
				/**
				 * Menu hamburger icon
				 */
				decibel_hamburger_icon( 'toggle-offcanvas-menu' );
			?>
		</div><!-- .hamburger-container -->
	</div><!-- .flex-wrap -->
</div><!-- #navbar-container -->