<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// message box
vc_map(
	array(
		'name' => __( 'Message box', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_alert_message',
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
				'param_name' => 'type',
				'value' => array(
					__( 'Info', 'wolf-decibel-v3-updater' ) => 'info',
					__( 'Alert', 'wolf-decibel-v3-updater' ) => 'alert',
					__( 'Success', 'wolf-decibel-v3-updater' ) => 'success',
					__( 'Error', 'wolf-decibel-v3-updater' ) => 'error',
				),
				'description' => '',
			),

			array(
				'type' => 'textarea',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Message', 'wolf-decibel-v3-updater' ),
				'param_name' => 'message',
				'description' => '',
				'value' => '',
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Display icon', 'wolf-decibel-v3-updater' ),
				'param_name' => 'display_icon',
				'value' => array(
					__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
					__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				),
				'description' => '',
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Allow the visitor to dismiss the message', 'wolf-decibel-v3-updater' ),
				'param_name' => 'close',
				'value' => array(
					__( 'No', 'wolf-decibel-v3-updater' ) => '',
					__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
				),
				'description' => '',
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		),
	)
);