<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


vc_map( wolf_inject_vc_params( wdv3u_vc_get_button_params(), wdv3u_vc_get_button_args() ) );

vc_map( array(
	'name' =>  __( 'Buttons Container', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_buttons_container',
	'as_parent' => array('only' => 'wolf_button'),
	'content_element' => true,
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'show_settings_on_create' => true,
	'js_view' => 'VcColumnView',
	'deprecated' => '5.3',
	'params' => array(
		array(
			'type' => 'dropdown',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Alignment', 'wolf-decibel-v3-updater' ),
			'param_name' => 'alignment',
			'value' => array(
				__( 'Left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'Center', 'wolf-decibel-v3-updater' ) => 'center',
				__( 'Right', 'wolf-decibel-v3-updater' ) => 'right',
			),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Margin top', 'wolf-decibel-v3-updater' ),
			'param_name' => 'margin_top',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Margin bottom', 'wolf-decibel-v3-updater' ),
			'param_name' => 'margin_bottom',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => '',
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	),
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_Wolf_Buttons_Container extends WPBakeryShortCodesContainer {}
}