<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Call To Action
$call_to_action_args = array(
	'name' => __( 'Call to action', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_call_to_action',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'deprecated' => '5.3',
	'allowed_container_element' => 'vc_row',
	'params' => array(

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text', 'wolf-decibel-v3-updater' ),
			'param_name' => 'main_text',
			'description' => '',
			'value' => __( 'This is your call to action text', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Tagline', 'wolf-decibel-v3-updater' ),
			'param_name' => 'main_tagline',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'size',
			'value' => array(
				__( 'Medium', 'wolf-decibel-v3-updater' ) => 'medium',
				__( 'Small', 'wolf-decibel-v3-updater' ) => 'small',
				__( 'Large', 'wolf-decibel-v3-updater' ) => 'large',
			),
			// 'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);
vc_map( wolf_inject_vc_params( wdv3u_vc_get_button_params(), $call_to_action_args ) );