<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(
	'name' => __( 'Image slider', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_images_slider',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'attach_images',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Images', 'wolf-decibel-v3-updater' ),
			'param_name' => 'ids',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Layout', 'wolf-decibel-v3-updater' ),
			'param_name' => 'layout',
			'value' => array(
				__( 'None', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'Desktop Screen', 'wolf-decibel-v3-updater' ) => 'desktop',
				__( 'Laptop Screen', 'wolf-decibel-v3-updater' ) => 'laptop',
				__( 'Tablet Screen', 'wolf-decibel-v3-updater' ) => 'tablet',
				__( 'Mobile Screen', 'wolf-decibel-v3-updater' ) => 'mobile',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => __( 'How the slider will appear on your page', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);
vc_map( wolf_inject_vc_params( wdv3u_vc_get_slider_settings(), $args ) );
