<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// mailchimp
vc_map(
	array(
		'name' => __( 'Mailchimp sign up', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_mailchimp',
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'List ID', 'wolf-decibel-v3-updater' ),
				'param_name' => 'list',
				'description' => __( 'Can be found in your mailchimp account -> Lists -> Your List Name -> Settings -> List Name & default', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Size', 'wolf-decibel-v3-updater' ),
				'param_name' => 'size',
				'value' => array(
					__( 'Normal', 'wolf-decibel-v3-updater' ) => 'normal',
					__( 'Large', 'wolf-decibel-v3-updater' ) => 'large',
				),
				'description' => '',
			),

			// array(
			// 	'type' => 'textfield',
			// 	'admin_label' => true,
			// 	'class' => '',
			// 	'heading' => __( 'Title', 'wolf-decibel-v3-updater' ),
			// 	'param_name' => 'label',
			// 	'value' => '',
			// ),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Submit text (default is "Subscribe")', 'wolf-decibel-v3-updater' ),
				'param_name' => 'submit',
				'value' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Button style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'button_style',
				'value' => array(
					__( 'theme color', 'wolf-decibel-v3-updater' )  => 'accent-color',
					__( 'theme color black/white on hover', 'wolf-decibel-v3-updater' )  => 'accent-color-bnw',
					__( 'black/white', 'wolf-decibel-v3-updater' )  => 'border-button',
					__( 'black/white theme color on hover', 'wolf-decibel-v3-updater' )  => 'border-button-accent-hover',
				),
				'description' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Alignment', 'wolf-decibel-v3-updater' ),
				'param_name' => 'alignment',
				'value' => array(
					__( 'center', 'wolf-decibel-v3-updater' )  => 'center',
					__( 'left', 'wolf-decibel-v3-updater' )  => 'left',
					__( 'right', 'wolf-decibel-v3-updater' )  => 'right',
				),
				'description' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
				'description' => '',
				'param_name' => 'animation',
				'value' => wdv3u_vc_get_animations(),
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
				'param_name' => 'animation_delay',
				'value' => '',
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		),
	)
);