<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Video
vc_map(
	array(
		'name' => __( 'Video', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_video',
		'icon' => wdv3_get_deprecated_icon(),
		'category' => 'by WolfThemes',
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Video URL', 'wolf-decibel-v3-updater' ),
				'param_name' => 'url',
				'value' => '',
				'description' => sprintf( __( 'Link to the video. More about supported formats at <a href="%s" target="_blank">WordPress codex page.</a>', 'wolf-decibel-v3-updater' ), 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F' ),
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		),
	)
);