<?php
/**
 * Decibel background_image
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

defined( 'ABSPATH' ) || exit;

function decibel_set_background_image_mods( $mods ) {
	$mods['background_image'] = array(
		'icon' => 'format-image',
		'id' => 'background_image',
		'title' => esc_html__( 'Background Image', 'decibel' ),
		'options' => array(),
	);

	return $mods;
}
add_filter( 'decibel_customizer_mods', 'decibel_set_background_image_mods' );