<?php
/**
 * Decibel footer_bg
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

defined( 'ABSPATH' ) || exit;

function decibel_set_footer_bg_mods( $mods ) {

	$mods['footer_bg'] = array(
		'id' =>'footer_bg',
		'label' => esc_html__( 'Footer Background', 'decibel' ),
		'background' => true,
		'font_color' => true,
		'icon' => 'format-image',
	);

	return $mods;
}
add_filter( 'decibel_customizer_mods', 'decibel_set_footer_bg_mods' );