<?php
/**
 * The sidebar containing the artists widget areas
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

if ( ! decibel_display_sidebar() ) { // see includes/conditional-functions.php
	return;
}
?>
<div id="secondary" class="sidebar-container sidebar-artists" role="complementary" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">
	<div class="sidebar-inner">
		<div class="widget-area">
			<?php dynamic_sidebar( 'sidebar-artists' ); ?>
		</div><!-- .widget-area -->
	</div><!-- .sidebar-inner -->
</div><!-- #secondary .sidebar-container -->