<?php
/**
 * The main navigation for mobile
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

if ( decibel_do_onepage_menu() ) {

	echo decibel_one_page_menu( 'mobile' );

} else {

	if ( has_nav_menu( 'mobile' ) ) {

		wp_nav_menu( decibel_get_menu_args( 'mobile', 'mobile' ) );

	} else {
		wp_nav_menu( decibel_get_menu_args( 'primary', 'mobile' ) );
	}
}