<?php
/**
 * Wolf Decibel Version 3 Updater booloean functions
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Core
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Decive v2 Installed?
 */
function wdv3u_v2_installed() {
	return ( get_option( 'wolf_theme_options_decibel' ) && ! wdv3u_fully_updated() );
}

/**
 * Are options updated?
 */
function wdv3u_options_updated() {
	return ( get_option( 'wolf_theme_options_decibel' ) && get_option( 'decibel_v2_options_updated' ) );
}

/**
 * Are shortcodes updated?
 */
function wdv3u_shortcodes_updated() {
	
}

/**
 * Are blocks created?
 */
function wdv3u_blocks_created() {
	
}

/**
 * Are blocks created?
 */
function wdv3u_fully_updated() {
	$actions = wdv3u_options_updated() && wdv3u_shortcodes_updated() && wdv3u_blocks_created();
	$flag = get_option( 'decibel_v2_fully_updated' );

	return $actions && $flag;
}