<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$page_option = array( '' => __( '- Disabled -', 'wolf-decibel-v3-updater' ) );
$pages = get_pages();

foreach ( $pages as $page ) {
	$page_option[ absint( $page->ID ) ] = sanitize_text_field( $page->post_title );
}

$wolf_theme_options[] = array(
	'type' => 'open',
	'label' => __( 'General', 'wolf-decibel-v3-updater' ),
);

	$wolf_theme_options[] = array(
		'label' => __( 'Main settings', 'wolf-decibel-v3-updater' ),
 		'type' => 'section_open',
	);

		$wolf_theme_options[] = array(
			'label' => __( 'Maintenance page', 'wolf-decibel-v3-updater' ),
			'id' =>'maintenance_page_id',
			'desc' => __( 'If selected, your visitors will be redirected to this page from any page of your website.', 'wolf-decibel-v3-updater' ),
			'type' => 'select',
			'deprecated' => sprintf( __( 'Please use <strong>Wolf Maintenance</strong> plugin to set a "maintenance" page. <a href="%s" target="_blank">More info</a>.', 'wolf-decibel-v3-updater' ),
			'https://wolfthemes.ticksy.com/article/11664'
			),
			'options' => $page_option,
		);


		// $wolf_theme_options[] = array(
		// 	'label' => __( 'Responsive', 'wolf-decibel-v3-updater' ),
		// 	'id' =>'responsive',
		// 	'type' => 'checkbox',
		// );

		/*$wolf_theme_options[] = array(
			'label' => __( 'Logo  dark', 'wolf-decibel-v3-updater' ),
			'desc' => sprintf( __( '%s height recommended', 'wolf-decibel-v3-updater' ), '200px' ),
			'id' =>'logo_dark',
			'type' => 'image',
		);

		$wolf_theme_options[] = array(
			'label' => __( 'Logo light', 'wolf-decibel-v3-updater' ),
			'desc' => sprintf( __( '%s height recommended', 'wolf-decibel-v3-updater' ), '200px' ),
			'id' =>'logo_light',
			'type' => 'image',
		);*/

		// $wolf_theme_options[] = array(
		// 	'label' => __( 'Logo sticky ( visible for the sticky menu when the menu is centered )', 'wolf-decibel-v3-updater' ),
		// 	'id' =>'logo_sticky',
		// 	'type' => 'image',
		// );

		// $wolf_theme_options[] = array(
		// 	'label' => __( 'Loading logo', 'wolf-decibel-v3-updater' ),
		// 	'id' => 'loading_logo',
		// 	'type' => 'image',
		// );

	$wolf_theme_options[] = array( 'type' => 'section_close' );

	$wolf_theme_options[] = array(
		'label' => __( '3rd party', 'wolf-decibel-v3-updater' ),
 		'type' => 'section_open',
 		'deprecated' => sprintf( __( 'You can now set your Mailchimp API key in <a href="%s">WPBakery Page Builder > Mailchimp</a>.', 'wolf-decibel-v3-updater' ),
			esc_url( admin_url( 'admin.php?page=wvc-mailchimp' ) )
		)
	);

		$wolf_theme_options[] = array(
			'label' => __( 'Mailchimp API key', 'wolf-decibel-v3-updater' ),
			'id' =>'mailchimp_api_key',
			'type' => 'text',
			'desc' => __( 'Where to find it?', 'wolf-decibel-v3-updater' ),
			'help' => 'mailchimp',
		);

	$wolf_theme_options[] = array( 'type' => 'section_close' );

	$wolf_theme_options[] = array(
		'label' => __( 'Favicons', 'wolf-decibel-v3-updater' ),
 		'type' => 'section_open',
 	
 		'deprecated' => sprintf( __( 'Your favicon options now can be found in the <a href="%s" target="_blank">Customizer</a>.', 'wolf-decibel-v3-updater' ),
			esc_url( admin_url( 'customize.php' ) ) )
	);

	$wolf_theme_options[] = array( 'type' => 'section_close' );

$wolf_theme_options[] = array( 'type' => 'close' );
