<?php
/**
 * Update shortcodes
 */
function wdv3u_update_shortcodes() {

	$pages = get_pages();
	//$pages = array( 1 );

	$shortcodes_to_replace = wdv3u_get_shortcode_array();

	foreach ( $pages as $post ) {

		$content = $post->post_content;
		//$content = '[wolf_last_videos_carousel count="4"]';
		$_attrs_regex = wdv3u_get_shortcode_atts_regex();

		foreach ( $shortcodes_to_replace as $base => $shortcode_to_replace ) {

			$new_base = ( isset( $shortcode_to_replace['base'] ) ) ? $shortcode_to_replace['base'] : null;

			debug( $shortcode_to_replace );

			$content = preg_replace_callback( '/\[' . $base . ' ' . $_attrs_regex . '\]/', function( $matches ) use( $content, $base, $new_base, $shortcode_to_replace ) {

				if ( $new_base ) {
					$content = str_replace( $base, $new_base, $content );
				}

				foreach ( $matches as $shortcode ) {
					

					if ( isset( $shortcode_to_replace['old_atts'] ) && isset( $shortcode_to_replace['new_atts'] ) ) {
						$content = str_replace( $shortcode_to_replace['old_atts'], $shortcode_to_replace['new_atts'], $content );
					}

					if ( isset( $shortcode_to_replace['old_values'] ) && isset( $shortcode_to_replace['new_values'] ) ) {
						$content = str_replace( $shortcode_to_replace['old_values'], $shortcode_to_replace['new_values'], $content );
					}

					//debug( $content );
				}

				return $content;

			}, $content );
		}

		debug( $content );
		//die();

		/**
		 * Update
		 */
		$my_post = array(
			'ID' => $post->ID,
			'post_content' => $content,
		);

		//wp_update_post( $my_post );
	}
}