<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Client Carousel Container
$args = array(
	'name' => __( 'Clients carousel', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_clients_carousel',
	'as_parent' => array('only' => 'wolf_clients_carousel_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
	'content_element' => true,
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'show_settings_on_create' => true,
	'deprecated' => '5.3',
	'params' => array(
		// array(
		// 	'type' => 'textfield',
		// 	'class' => '',
		// 	'heading' => __( 'Title', 'wolf-decibel-v3-updater' ),
		// 	'param_name' => 'title',
		// 	'value' => '',
		// ),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	),
	'js_view' => 'VcColumnView',

);
vc_map( $args );

// Client Item
vc_map(
	array(
		'name' => __( 'Client', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_clients_carousel_item',
		'icon' => wdv3_get_deprecated_icon(),
		'category' => 'by WolfThemes',
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'as_child' => array('only' => 'wolf_clients_carousel'), // Use only|except attributes to limit parent (separate multiple values with comma)
		'params' => array(
			array(
				'type' => 'attach_image',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Image', 'wolf-decibel-v3-updater' ),
				'param_name' => 'image',
				'value' => '',
				'description' => ''
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
				'param_name' => 'link',
				'value' => '',
				'description' => ''
			),
		),
	)
);

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_Wolf_Clients_Carousel extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Wolf_Clients_Carousel_Item extends WPBakeryShortCode {}
}