<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Count Down
vc_map(
	array(
		'name' => __( 'Count down', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_countdown',
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Date', 'wolf-decibel-v3-updater' ),
				'param_name' => 'date',
				'description' => __( 'formatted like 12/24/2020 12:00:00', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'UTC Timezone offset', 'wolf-decibel-v3-updater' ),
				'param_name' => 'offset',
				'description' => __( 'e.g : -5 for NY', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				//'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			// array(
			// 	'type' => 'textfield',
			// 	//'admin_label' => true,
			// 	'class' => '',
			// 	'heading' => __( 'Message when it\'s over', 'wolf-decibel-v3-updater' ),
			// 	'param_name' => 'message',
			// 	'value' => __( 'Done!', 'wolf-decibel-v3-updater' ),
			// ),
		)
	)
);