<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$params = array(

	array(
		'type' => 'textfield',
		'class' => '',
		'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
		'param_name' => 'count',
		'description' => '',
		'value' => '',
	),

	array(
		'type' => 'textfield',
		//'admin_label' => true,
		'class' => '',
		'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
		'param_name' => 'category',
		'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
		'value' => '',
	),

	array(
		'type' => 'textfield',
		//'admin_label' => true,
		'class' => '',
		'heading' => __( 'Tag', 'wolf-decibel-v3-updater' ),
		'param_name' => 'tag',
		'description' => __( 'Include only one or several tags. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
		'value' => '',
	),

	array(
		'type' => 'checkbox',
		//'admin_label' => true,
		'class' => '',
		//'heading' => __( 'Hide Cover', 'wolf-decibel-v3-updater' ),
		'param_name' => 'hide_category',
		'description' => '',
		'value' => array( __( 'Hide category', 'wolf-decibel-v3-updater' ) => true ),
	),

	array(
		'type' => 'checkbox',
		//'admin_label' => true,
		'class' => '',
		//'heading' => __( 'Hide Cover', 'wolf-decibel-v3-updater' ),
		'param_name' => 'hide_tag',
		'description' => '',
		'value' => array( __( 'Hide tag', 'wolf-decibel-v3-updater' ) => true ),
	),

	array(
		'type' => 'checkbox',
		//'admin_label' => true,
		'class' => '',
		//'heading' => __( 'Hide Cover', 'wolf-decibel-v3-updater' ),
		'param_name' => 'hide_date',
		'description' => '',
		'value' => array( __( 'Hide date', 'wolf-decibel-v3-updater' ) => true ),
	),

	array(
		'type' => 'checkbox',
		//'admin_label' => true,
		'class' => '',
		//'heading' => __( 'Hide Cover', 'wolf-decibel-v3-updater' ),
		'param_name' => 'hide_author',
		'description' => '',
		'value' => array( __( 'Hide author', 'wolf-decibel-v3-updater' ) => true ),
	),

	array(
		'type' => 'textfield',
		//'admin_label' => true,
		'class' => '',
		'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
		'param_name' => 'inline_style',
		'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
		'value' => '',
	),

	array(
		'type' => 'textfield',
		//'admin_label' => true,
		'class' => '',
		'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
		'param_name' => 'class',
		'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
		'value' => '',
	),
);

// Post Grid
$args = array(
	'name' => __( 'Post grid', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_grid',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'deprecated' => '5.3',
	'allowed_container_element' => 'vc_row',
	'params' => $params
);
vc_map( $args );

// Post Slider
$args = array(
	'name' => __( 'Post slider', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_slider',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => $params
);

vc_map( wolf_inject_vc_params( wdv3u_vc_get_slider_settings(), $args ) );

// Post Masonry
$args = array(
	'name' => __( 'Post masonry', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_masonry',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => $params
);
vc_map( $args );

// Post Columns
$args = array(
	'name' => __( 'Post columns', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_columns',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => $params
);
vc_map( $args );

// Post Carousel
$args = array(
	'name' => __( 'Post carousel', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_carousel',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => $params
);
vc_map( $args );


// Post Preview
$params[] = array(
	'type' => 'dropdown',
	//'admin_label' => true,
	'class' => '',
	'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
	'description' => '',
	'param_name' => 'animation',
	'value' => wdv3u_vc_get_animations(),
	'deprecated' => '5.3',
	'description' => '',
);

$args = array(
	'name' => __( 'Post preview', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_last_posts_preview',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => $params
);
vc_map( $args );
