<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! function_exists( 'wolf_shortcode_mailchimp' ) ) {
	/**
	 * Alert message shortcode
	 *
	 * @param array $atts
	 * @return string
	 */
	function wolf_shortcode_mailchimp( $atts ) {

		if ( class_exists( 'Vc_Manager' ) && function_exists( 'vc_map_get_attributes' ) ) {
			$atts = vc_map_get_attributes( 'wolf_mailchimp', $atts );
		}

		extract( shortcode_atts( array(
			'list' => '',
			'size' => 'normal',
			'label' => '',
			'submit' => __( 'Subscribe', 'wolf-decibel-v3-updater' ),
			'button_style' => '',
			'alignment' => 'center',
			'animation' => '',
			'animation_delay' => '',
			'inline_style' => '',
			'class' => '',
		), $atts ) );

		//return wolf_mailchimp( $list, $size, $label, $submit , $button_style, $alignment, $animation, $animation_delay, $inline_style, $class );

		$atts['label'] = '';
		$atts['submit_text'] =__( 'Subscribe', 'wolf-decibel-v3-updater' );
		$atts['css_animation'] = $animation;
		$atts['css_animation_delay'] = $animation_delay;
		$atts['el_class'] = $class;

		$return = wolf_mailchimp( $list, $size, $label, $submit , $button_style, $alignment, $animation, $animation_delay, $inline_style, $class );

		if ( function_exists( 'wvc_mailchimp' ) ) {
			$return = wvc_mailchimp( $atts );
		}

		return $return;
	}
	add_shortcode( 'wolf_mailchimp', 'wolf_shortcode_mailchimp' );
}