/*!
 * Decibel V3 Backcompatiblity
 *
 * %NAME% %VERSION%
 */
/* jshint -W062 */
/* global WVCParams */
var WDV3UVCBackCompat = function( $ ) {

	'use strict';

	return {

		/**
		 * Init UI
		 */
		init : function () {
			this.additionalFixes();
		},

		/**
		 * Additional lil hacks
		 */
		additionalFixes : function () {

			$( '.holder' ).closest( '.wvc-row' ).removeClass( 'wvc-row-layout-column' ).addClass( 'wvc-row-layout-block wvc-row-is-fullwidth wvc-row-has-holders' );
			$( '.holder' ).closest( '.wvc-row-wrapper' ).removeClass( 'wvc-row-wrapper-width-standard' ).addClass( 'wvc-row-wrapper-width-fullwidth' );

			$( '.wolf-images-gallery.mosaic-gallery' ).closest( '.wvc-row' ).addClass( 'wvc-row-is-fullwidth' );
			$( '.wolf-images-gallery.mosaic-gallery' ).closest( '.wvc-row-wrapper' ).removeClass( 'wvc-row-wrapper-width-standard' ).addClass( 'wvc-row-wrapper-width-fullwidth' );
		},
	};

}( jQuery );

( function( $ ) {

	'use strict';

	$( document ).ready( function() {
		WDV3UVCBackCompat.init();
	} );

} )( jQuery );