<?php
/**
 * The events template file.
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */
get_header();
?>
	<div id="primary" class="content-area">
		<main id="content" class="clearfix">
			<?php
				/**
				 * Output post loop through hook so we can do the magic however we want
				 */
				do_action( 'decibel_posts', array(
					'el_id' => 'events-index',
					'post_type' => 'event',
					'grid_padding' => decibel_get_theme_mod( 'event_grid_padding', 'yes' ),
					'item_animation' => decibel_get_theme_mod( 'event_item_animation' ),
				) );
			?>
		</main><!-- #content -->
	</div><!-- #primary -->
<?php
get_sidebar( 'events' );
get_footer();